
html, body { }

.slides {
    padding: 0;
    width: 80vmin;
    height: 80vmin;
    display: block;
    margin: 0 auto;
    position: relative;
}

.slides * {
    user-select: none;
    -ms-user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -webkit-touch-callout: none;
}

.slides input { display: none; }

.slide-container { display: block; }

.slide {
	top: 0;
	opacity: 0;
	width: 70vmin;
	height: 70vmin;
	display: block;
	position: absolute;
	margin-left: 5vmin;
	margin-right: 5vmin;
	
	transform: scale(0);
	
	transition: all .7s ease-in-out;
}

.slide img {
	width: 70vmin;
	height: 70vmin;
	object-fit: contain;
}

.nav-arrow{
    width: 5vmin;
    height: 70vmin;
    display: none;
    position: absolute;
    align-items: center;
    justify-content: center;
 	 opacity: 1;
    z-index: 9;
    cursor: pointer;
}

.nav-arrow label {
    color: #000;
    font-size: xx-large;
    font-weight: bold;
}

.nav-arrow.next { right: 0; }

input:checked + .slide-container  .slide {
    opacity: 1;

    transform: scale(1);

    transition: opacity 1s ease-in-out;
}

input:checked + .slide-container .nav-arrow { display: flex; }

.nav-dots {
	width: 100%;
	bottom: 15px;
	height: 11px;
	display: block;
	position: absolute;
	text-align: center;
}

.nav-dots .nav-dot {
	top: -5px;
	width: 11px;
	height: 11px;
	margin: 0 4px;
	position: relative;
	border-radius: 100%;
	display: inline-block;
	background-color: rgba(0, 0, 0, 0.3);
}

.nav-dots .nav-dot:hover {
	cursor: pointer;
	background-color: rgba(0, 0, 0, 0.5);
}

input#img-1:checked ~ div.nav-dots label#img-dot-1,
input#img-2:checked ~ div.nav-dots label#img-dot-2,
input#img-3:checked ~ div.nav-dots label#img-dot-3,
input#img-4:checked ~ div.nav-dots label#img-dot-4,
input#img-5:checked ~ div.nav-dots label#img-dot-5,
input#img-6:checked ~ div.nav-dots label#img-dot-6,
input#img-7:checked ~ .nav-dots label#img-dot-7,
input#img-8:checked ~ .nav-dots label#img-dot-8,
input#img-9:checked ~ .nav-dots label#img-dot-9,
input#img-10:checked ~ .nav-dots label#img-dot-10,
input#img-11:checked ~ .nav-dots label#img-dot-11,
input#img-12:checked ~ .nav-dots label#img-dot-12,
input#img-13:checked ~ .nav-dots label#img-dot-13,
input#img-14:checked ~ .nav-dots label#img-dot-14,
input#img-15:checked ~ .nav-dots label#img-dot-15,
input#img-16:checked ~ .nav-dots label#img-dot-16,
input#img-17:checked ~ .nav-dots label#img-dot-17,
input#img-18:checked ~ .nav-dots label#img-dot-18,
input#img-19:checked ~ .nav-dots label#img-dot-19,
input#img-20:checked ~ .nav-dots label#img-dot-20,
input#img-21:checked ~ .nav-dots label#img-dot-21,
input#img-22:checked ~ .nav-dots label#img-dot-22,
input#img-23:checked ~ .nav-dots label#img-dot-23,
input#img-24:checked ~ .nav-dots label#img-dot-24,
input#img-25:checked ~ .nav-dots label#img-dot-25,
input#img-26:checked ~ .nav-dots label#img-dot-26,
input#img-27:checked ~ .nav-dots label#img-dot-27,
input#img-28:checked ~ .nav-dots label#img-dot-28,
input#img-29:checked ~ .nav-dots label#img-dot-29,
input#img-30:checked ~ .nav-dots label#img-dot-30 {
	background-color: rgba(0, 0, 0, 0.9);
} 
  